Bug 81835 - WebURLWithTitles pasteboard format should support correctly encoded URLs
Summary: WebURLWithTitles pasteboard format should support correctly encoded URLs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac Unspecified
: P2 Normal
Assignee: Enrica Casucci
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2012-03-21 15:15 PDT by Enrica Casucci
Modified: 2012-03-23 00:36 PDT (History)
3 users (show)

See Also:


Attachments
Patch (7.09 KB, patch)
2012-03-21 15:20 PDT, Enrica Casucci
beidson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enrica Casucci 2012-03-21 15:15:32 PDT
We currently write out the URL part of this format, transforming the URL into its user visible representation.
We should write out the original URL instead.

<rdar://problem/11082749>
Comment 1 Enrica Casucci 2012-03-21 15:20:00 PDT
Created attachment 133124 [details]
Patch
Comment 2 Enrica Casucci 2012-03-21 15:48:36 PDT
http://trac.webkit.org/changeset/111614
Comment 3 Dirk Pranke 2012-03-21 15:59:22 PDT
Committed r111615: <http://trac.webkit.org/changeset/111615>
Comment 4 Csaba Osztrogonác 2012-03-22 01:20:32 PDT
http://trac.webkit.org/changeset/111615/trunk/Tools/Scripts/webkitpy/layout_tests/port/webkit.py

I think it was an absolutely unrelated and accidentally change here.
I rolled out webkit.py change - http://trac.webkit.org/changeset/111661
(with rolling out http://trac.webkit.org/changeset/111609)
Comment 5 Ryosuke Niwa 2012-03-23 00:36:06 PDT
Maybe this patch broke webarchive tests?

http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(Tests)/r111825%20(38164)/results.html